/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the PasswordChangeData type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &PasswordChangeData{}

// PasswordChangeData struct for PasswordChangeData
type PasswordChangeData struct {
	OldPassword string `json:"old_password"`
	NewPassword string `json:"new_password"`
}

// NewPasswordChangeData instantiates a new PasswordChangeData object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewPasswordChangeData(oldPassword string, newPassword string) *PasswordChangeData {
	this := PasswordChangeData{}
	this.OldPassword = oldPassword
	this.NewPassword = newPassword
	return &this
}

// NewPasswordChangeDataWithDefaults instantiates a new PasswordChangeData object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewPasswordChangeDataWithDefaults() *PasswordChangeData {
	this := PasswordChangeData{}
	return &this
}

// GetOldPassword returns the OldPassword field value
func (o *PasswordChangeData) GetOldPassword() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.OldPassword
}

// GetOldPasswordOk returns a tuple with the OldPassword field value
// and a boolean to check if the value has been set.
func (o *PasswordChangeData) GetOldPasswordOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.OldPassword, true
}

// SetOldPassword sets field value
func (o *PasswordChangeData) SetOldPassword(v string) {
	o.OldPassword = v
}

// GetNewPassword returns the NewPassword field value
func (o *PasswordChangeData) GetNewPassword() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.NewPassword
}

// GetNewPasswordOk returns a tuple with the NewPassword field value
// and a boolean to check if the value has been set.
func (o *PasswordChangeData) GetNewPasswordOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.NewPassword, true
}

// SetNewPassword sets field value
func (o *PasswordChangeData) SetNewPassword(v string) {
	o.NewPassword = v
}

func (o PasswordChangeData) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o PasswordChangeData) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["old_password"] = o.OldPassword
	toSerialize["new_password"] = o.NewPassword
	return toSerialize, nil
}

type NullablePasswordChangeData struct {
	value *PasswordChangeData
	isSet bool
}

func (v NullablePasswordChangeData) Get() *PasswordChangeData {
	return v.value
}

func (v *NullablePasswordChangeData) Set(val *PasswordChangeData) {
	v.value = val
	v.isSet = true
}

func (v NullablePasswordChangeData) IsSet() bool {
	return v.isSet
}

func (v *NullablePasswordChangeData) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullablePasswordChangeData(val *PasswordChangeData) *NullablePasswordChangeData {
	return &NullablePasswordChangeData{value: val, isSet: true}
}

func (v NullablePasswordChangeData) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullablePasswordChangeData) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


